Bug 1439696 - CVE-2017-7418 proftpd: AllowChrootSymlinks control bypass [epel-all]
Summary: CVE-2017-7418 proftpd: AllowChrootSymlinks control bypass [epel-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: proftpd
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2017-7418
TreeView+ depends on / blocked
 
Reported: 2017-04-06 12:10 UTC by Andrej Nemec
Modified: 2017-05-19 14:57 UTC (History)
3 users (show)

Fixed In Version: proftpd-1.3.5e-2.el7
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-19 14:57:32 UTC
Type: ---


Attachments (Terms of Use)

Description Andrej Nemec 2017-04-06 12:10:23 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2017-04-06 12:10:28 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1439693

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2017-04-10 15:37:28 UTC
proftpd-1.3.5e-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b9db4ff3ec

Comment 3 Fedora Update System 2017-04-10 21:49:26 UTC
proftpd-1.3.5e-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b9db4ff3ec

Comment 4 Paul Howarth 2017-04-11 09:53:24 UTC
The AllowChrootSymlinks directive was introduced in proftpd version 1.3.5.

The version of proftpd shipped in EPEL-6 is 1.3.3g, which therefore does not support this directive; it is effectively the same as "AllowChrootSymlinks yes" in current proftpd versions (which is the default).

I currently do not intend to issue an update for EPEL-6 for this issue; users of proftpd from EPEL-6 should take care to ensure that there are no directory elements between the root directory and their users' home directories that could be renamed/overwritten by non-root local users, either symbolic links or real directories. These would present a general security issue anyway, not just for proftpd.

Upstream documentation:
http://www.proftpd.org/docs/modules/mod_auth.html#AllowChrootSymlinks
http://www.proftpd.org/docs/howto/Chroot.html
http://bugs.proftpd.org/show_bug.cgi?id=4295

Comment 5 Fedora Update System 2017-05-03 15:11:47 UTC
proftpd-1.3.5e-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f057518fbd

Comment 6 Fedora Update System 2017-05-04 18:55:16 UTC
proftpd-1.3.5e-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f057518fbd

Comment 7 Fedora Update System 2017-05-19 14:57:32 UTC
proftpd-1.3.5e-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.